#include <iostream>
#include <cmath>
#include "crystal.h"
using namespace std;
/*This class describes the particule at the beginning.*/



class Partcrys
{

public:

    //==================Constructeurs, destructeur=========================================

    Partcrys( double x = 0.00001, double xp = 0, double y = 0, double yp = 0, double PC = 0);


    ~Partcrys() {};

    //private:
    /* Other parameters that depend on the inital one and it will simplify or calculation*/
    double x;             //coordinate of the particule [m]
    double xp;            //coordinate of the particule [rad]
    double y;             //coordinate of the particule [m]
    double yp;            //coordinate of the particule [rad]
    double PC;            //coordinate of the particule [GeV]
    double s;             //long coordinates of the particle [m]
    double xp_rel;        //xp-miscut angle [mrad]
    int n_part;

    double Ang_rms;       //Volume reflection mean angle [mrad]
    double Ang_avr;       //Volume reflection mean angle [mrad] (Defini ds parameters et utilise ensuite...)

    double Dechan;        //probability for dechanneling
    double Vcapt;         //volume capture probability
    double Chann;         //channeling probability


    //the next parameters count the number of particule that is for exple channeling!!
    int nchann;
    int ndechann;
    int namor;
    int nvcapt;
    int nvrefl;
    int nabsorbed;
    int nout;          //number of particles that not hit the crystal collimator
    int effet;        //Number that defini the effect :1 --> Out ;;; 2 --> Amorphous ;;; 3 --> Channeling ;;; 4 --> Dechanneling ;;; 5 --> V. Reflection ;;; 6 --> V. Capture, 7 --> absorbed
   long int nhit; //number of particles that hit the crystal collimator 
    

};



